{{- if .Values.web.enabled }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: "{{ include "app.fullname" . }}"
  labels:
    {{- include "app.labels" . | nindent 4 }}
data:
  nginxMainConfig: |-
{{- tpl (include "nginx.conf" .) . | indent 4 }}
  nginxServerConfig: |-
{{- tpl (include "nginx_server.conf" .) . | indent 4 }}
  hook.sh: |-
{{- include "hook_script.sh" . | indent 4 }}
  entrypoint: |-
{{- include "entrypoint.sh" . | indent 4 }}
{{- end }}
